Bug 23179 - Add 'Edit subfields' to framework management tag dropdown and clarify options
Summary: Add 'Edit subfields' to framework management tag dropdown and clarify options
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 23153
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-21 10:59 UTC by Nick Clemens
Modified: 2019-08-06 20:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 23179: Add 'edit subfields' button to framework management (2.64 KB, patch)
2019-06-21 11:04 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23179: Add 'edit subfields' button to framework management (2.68 KB, patch)
2019-06-21 19:08 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 23179: Add 'edit subfields' button to framework management (2.76 KB, patch)
2019-06-24 18:03 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-06-21 10:59:35 UTC
Currently if viewing a framework each field has an actions dropdown:
Subfields
Edit
Delete

I think we should have:
Edit tag
View subfields
Edit subfields
Delete
Comment 1 Nick Clemens 2019-06-21 11:04:31 UTC
Created attachment 90894 [details] [review]
Bug 23179: Add 'edit subfields' button to framework management

To test:
1) Go to Administration > MARC bibliographic framework
2) On a line click Actions > MARC structure
3) Note the dropdowns for each tag are: Edit, Subfields, Delete
4) Apply patch
5) Reload and note dropdowns are: Edit tag, View subfields, Edit subfields, Delete
6) Confirm options do what is selected
Comment 2 Bin Wen 2019-06-21 19:08:54 UTC
Created attachment 90933 [details] [review]
Bug 23179: Add 'edit subfields' button to framework management

To test:
1) Go to Administration > MARC bibliographic framework
2) On a line click Actions > MARC structure
3) Note the dropdowns for each tag are: Edit, Subfields, Delete
4) Apply patch
5) Reload and note dropdowns are: Edit tag, View subfields, Edit subfields, Delete
6) Confirm options do what is selected

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 3 Jonathan Druart 2019-06-24 18:03:02 UTC
Created attachment 90970 [details] [review]
Bug 23179: Add 'edit subfields' button to framework management

To test:
1) Go to Administration > MARC bibliographic framework
2) On a line click Actions > MARC structure
3) Note the dropdowns for each tag are: Edit, Subfields, Delete
4) Apply patch
5) Reload and note dropdowns are: Edit tag, View subfields, Edit subfields, Delete
6) Confirm options do what is selected

Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2019-06-25 16:20:31 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-07-16 06:37:40 UTC
Pushed to 19.05.x for 19.05.02

Very small so I think it can go into stable branches.
Comment 6 Katrin Fischer 2019-07-22 13:43:41 UTC
This is a strange change in behaviour between 17.11 and 18.11. 

In 17.11: clicking on subfields leads to the 'summary' page of subfields with edit and delete buttons for each:
/cgi-bin/koha/admin/marc_subfields_structure.pl?tagfield=000&frameworkcode=

In 18.11: clicking on the subfields link leads to the edit screen and there is no link to the 'summary' page visible, which is a usability problem if you are trying ot delete a subfield.

Can this please be backported to 18.11 as well?
Comment 7 Nick Clemens 2019-07-22 13:57:43 UTC
(In reply to Katrin Fischer from comment #6)
> This is a strange change in behaviour between 17.11 and 18.11. 
> 
> In 17.11: clicking on subfields leads to the 'summary' page of subfields
> with edit and delete buttons for each:
> /cgi-bin/koha/admin/marc_subfields_structure.pl?tagfield=000&frameworkcode=
> 
> In 18.11: clicking on the subfields link leads to the edit screen and there
> is no link to the 'summary' page visible, which is a usability problem if
> you are trying ot delete a subfield.
> 
> Can this please be backported to 18.11 as well?

I think you describing bug 23153
Comment 8 Katrin Fischer 2019-07-23 06:15:12 UTC
> I think you describing bug 23153

Yes, I was confusing bugs - thx Nick!
Comment 9 Lucas Gass 2019-08-06 20:08:24 UTC
backported to 18.11.x for 18.11.09